Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.preference
Class BooleanFieldEditor

    java.lang.Object
      org.eclipse.jface.preference.FieldEditor
          org.eclipse.jface.preference.BooleanFieldEditor

public class BooleanFieldEditor
extends FieldEditor

A field editor for a boolean type preference.

Field Summary
`static int` | `DEFAULT` Style constant (value `0`) indicating the default layout where the field editor's check box appears to the left of the label.
`static int` | `SEPARATE_LABEL` Style constant (value `1`) indicating a layout where the field editor's label appears on the left with a check box on the right.

Fields inherited from class org.eclipse.jface.preference.FieldEditor
`HORIZONTAL_GAP, IS_VALID, VALUE`

Constructor Summary
`protected` | `BooleanFieldEditor()` Creates a new boolean field editor
`` | `BooleanFieldEditor(String name, String label, Composite parent)` Creates a boolean field editor in the default style.
`` | `BooleanFieldEditor(String name, String labelText, int style, Composite parent)` Creates a boolean field editor in the given style.

Method Summary
`protected void` | `adjustForNumColumns(int numColumns)` Adjusts the horizontal span of this field editor's basic controls.
`protected void` | `doFillIntoGrid(Composite parent, int numColumns)` Fills this field editor's basic controls into the given parent.
`protected void` | `doLoad()` Initializes this field editor with the preference value from the preference store.
`protected void` | `doLoadDefault()` Initializes this field editor with the default preference value from the preference store.
`protected void` | `doStore()` Stores the preference value from this field editor into the preference store.
`boolean` | `getBooleanValue()` Returns this field editor's current value.
`protected Button` | `getChangeControl(Composite parent)` Returns the change button for this field editor.
`int` | `getNumberOfControls()` Returns the number of basic controls this field editor consists of.
`void` | `setEnabled(boolean enabled, Composite parent)` Set whether or not the controls in the field editor are enabled.
`void` | `setFocus()` Sets the focus to this field editor.
`void` | `setLabelText(String text)` Sets this field editor's label text.
`protected void` | `valueChanged(boolean oldValue, boolean newValue)` Informs this field editor's listener, if it has one, about a change to the value (`VALUE` property) provided that the old and new values are different.

Methods inherited from class org.eclipse.jface.preference.FieldEditor
`applyFont, checkParent, clearErrorMessage, clearMessage, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, createControl, dispose, fillIntoGrid, fireStateChanged, fireValueChanged, getFieldEditorFontName, getLabelControl, getLabelControl, getLabelText, getPreferenceName, getPreferencePage, getPreferenceStore, init, isValid, load, loadDefault, presentsDefaultValue, refreshValidState, setButtonLayoutData, setPreferenceName, setPreferencePage, setPreferenceStore, setPresentsDefaultValue, setPropertyChangeListener, showErrorMessage, showMessage, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final int DEFAULT

  Style constant (value `0`) indicating the default layout where the field editor's check box appears to the left of the label.

  See Also:
    Constant Field Values

### SEPARATE_LABEL

    public static final int SEPARATE_LABEL

  Style constant (value `1`) indicating a layout where the field editor's label appears on the left with a check box on the right.

  See Also:
    Constant Field Values

Constructor Detail

### BooleanFieldEditor

    protected BooleanFieldEditor()

  Creates a new boolean field editor

### BooleanFieldEditor

    public BooleanFieldEditor(String name,
                              String labelText,
                              int style,
                              Composite parent)

  Creates a boolean field editor in the given style.

Parameters:
  `name` - the name of the preference this field editor works on
  `labelText` - the label text of the field editor
  `style` - the style, either `DEFAULT` or `SEPARATE_LABEL`
  `parent` - the parent of the field editor's control
See Also:
  `DEFAULT`, `SEPARATE_LABEL`

### BooleanFieldEditor

    public BooleanFieldEditor(String name,
                              String label,
                              Composite parent)

  Creates a boolean field editor in the default style.

Parameters:
  `name` - the name of the preference this field editor works on
  `label` - the label text of the field editor
  `parent` - the parent of the field editor's control

Method Detail

### adjustForNumColumns

    protected void adjustForNumColumns(int numColumns)

  Description copied from class: `FieldEditor`
  Adjusts the horizontal span of this field editor's basic controls.

  Subclasses must implement this method to adjust the horizontal span of controls so they appear correct in the given number of columns.

  The number of columns will always be equal to or greater than the value returned by this editor's `getNumberOfControls` method.

  Specified by:
    `adjustForNumColumns` in class `FieldEditor`
  Parameters:
    `numColumns` - the number of columns

### doFillIntoGrid

    protected void doFillIntoGrid(Composite parent,
                                  int numColumns)

  Description copied from class: `FieldEditor`
  Fills this field editor's basic controls into the given parent.

  Subclasses must implement this method to create the controls for this field editor.

  Specified by:
    `doFillIntoGrid` in class `FieldEditor`
  Parameters:
    `parent` - the composite used as a parent for the basic controls; the parent's layout must be a `GridLayout`
    `numColumns` - the number of columns

### doLoad

    protected void doLoad()

  Description copied from class: `FieldEditor`
  Initializes this field editor with the preference value from the preference store.

  Subclasses must implement this method to properly initialize the field editor.

  Specified by:
    `doLoad` in class `FieldEditor`

### doLoadDefault

    protected void doLoadDefault()

  Description copied from class: `FieldEditor`
  Initializes this field editor with the default preference value from the preference store.

  Subclasses must implement this method to properly initialize the field editor.

  Specified by:
    `doLoadDefault` in class `FieldEditor`

### doStore

    protected void doStore()

  Description copied from class: `FieldEditor`
  Stores the preference value from this field editor into the preference store.

  Subclasses must implement this method to save the entered value into the preference store.

  Specified by:
    `doStore` in class `FieldEditor`

### getBooleanValue

    public boolean getBooleanValue()

  Returns this field editor's current value.

  Returns:
    the value

### getChangeControl

    protected Button getChangeControl(Composite parent)

  Returns the change button for this field editor.

  Parameters:
    `parent` - The Composite to create the receiver in.
  Returns:
    the change button

### getNumberOfControls

    public int getNumberOfControls()

  Description copied from class: `FieldEditor`
  Returns the number of basic controls this field editor consists of.

  Specified by:
    `getNumberOfControls` in class `FieldEditor`
  Returns:
    the number of controls

### setFocus

    public void setFocus()

  Description copied from class: `FieldEditor`
  Sets the focus to this field editor.

  The default implementation of this framework method does nothing. Subclasses may reimplement.

  Overrides:
    `setFocus` in class `FieldEditor`

### setLabelText

    public void setLabelText(String text)

  Description copied from class: `FieldEditor`
  Sets this field editor's label text. The label is typically presented to the left of the entry field.

  Overrides:
    `setLabelText` in class `FieldEditor`
  Parameters:
    `text` - the label text

### valueChanged

    protected void valueChanged(boolean oldValue,
                                boolean newValue)

  Informs this field editor's listener, if it has one, about a change to the value (`VALUE` property) provided that the old and new values are different.

  Parameters:
    `oldValue` - the old value
    `newValue` - the new value

### setEnabled

    public void setEnabled(boolean enabled,
                           Composite parent)

  Description copied from class: `FieldEditor`
  Set whether or not the controls in the field editor are enabled.

  Overrides:
    `setEnabled` in class `FieldEditor`
  Parameters:
    `enabled` - The enabled state.
    `parent` - The parent of the controls in the group. Used to create the controls if required.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.